Paper Trading

List paper trading orders

GET
/apps/{appId}/paper-trading/accounts/{accountId}/orders

Authorization

appApiKey
headerx-app-api-key<token>

App-scoped API key. It is the only credential on partner-admin reads, paper-trading admin, and webhook rotate or replay. POST /bot-protection/verify requires it together with x-app-id.

Path Parameters

appId*string
accountId*string

Query Parameters

limit?number
Range1 <= value <= 100
cursor?string

Response Body

200

application/json
  1. response
data*array<>
nextCursor*string
hasMore*boolean
Example Request
curl -X GET 'https://api.t.sufwankhalid.com/apps/string/paper-trading/accounts/string/orders'
Example Response
{  "data": [    {      "id": "string",      "accountId": "string",      "venue": "string",      "venueMarketId": "string",      "venueMarketOutcomeId": "string",      "marketQuestion": "string",      "outcomeLabel": "string",      "side": "buy",      "status": "filled",      "clientOrderId": "string",      "requestedSpendRaw": "string",      "requestedSpend": 0,      "requestedShares": 0,      "filledShares": 0,      "avgPrice": 0,      "slippageBps": 0,      "notionalRaw": "string",      "notional": 0,      "cashDeltaRaw": "string",      "cashDelta": 0,      "realizedPnlRaw": "string",      "realizedPnl": 0,      "rejectionReason": "string",      "createdAt": "string"    }  ],  "nextCursor": "string",  "hasMore": true}